Skip to main content
POST
/
v5
/
banks
/
unitCustomerId
Save a Unit customer
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/banks/unitCustomerId \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "unitCustomerId": "<string>",
  "defaultBusinessId": 123
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
unitCustomerId
string
required

Unit customerId obtained from the Unit API

defaultBusinessId
integer<int64>

Id of the business to assign transactions to (useful if the bank accounts associated with this Unit customer are business accounts)

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object